<?php
/*

Plugin Name: Buddyfence
Description: This plugin allows you to restrict not logged-in users from accessing BuddyPress pages.
Version:     1.2.0
Author:      JC
Author URI:  https://josecarlosroman.com
Text Domain: buddyfence
Domain Path: /languages
License:     GPL3
 
Buddyfence is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 2 of the License, or
any later version.
 
Buddyfence is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.
 
You should have received a copy of the GNU General Public License
along with Buddyfence. If not, see https://www.gnu.org/licenses/gpl.html.
*/

if ( !defined('ABSPATH') ) {
	header('HTTP/1.1 403 Forbidden', true, 403);
	exit;
}
define('BUDDYFENCE_PLUGIN_DIR', plugin_dir_path(__FILE__));

require_once BUDDYFENCE_PLUGIN_DIR . 'inc/plugin.php';

function buddyfence_init() {        
    
    require_once BUDDYFENCE_PLUGIN_DIR . 'inc/functions.php';
    
    if ( is_admin() )
    {     
        require_once BUDDYFENCE_PLUGIN_DIR . 'inc/admin.php';        
    }        
}
add_action( 'bp_include', 'buddyfence_init' );